Begin an upload
begin_upload, in Changes: A connection or key that may make changes. None spends credits; prepare_* and stage tools (research, brainstorm, write_script, review, generate_clip, voice, storyboard) prepare paid work for confirm_spend.
POST
Start uploading an image, video or audio file: into a video (videoId), a Space, or the library. Send the bytes with PUT to the url (with its headers), or each part to its URL for a multipart upload, within minutes, then call complete_upload.
apiKeyheader
AuthorizationBearer <token>An API key (prb_…) from Settings → Connections.
application/json- body
spaceId?stringFormat
uuidvideoId?stringFormat
uuidname*stringLength
1 <= length <= 200type*stringLength
1 <= length <= 120size*integerRange
0 < value <= 9007199254740991The tool's answer.
application/json- response
assetId*stringFormat
uuidversionId*stringFormat
uuiduploadId*stringFormat
uuidupload*|curl -X POST 'https://probably.co/api/v1/tools/begin_upload' \ -H "Authorization: Bearer $PROBABLY_API_KEY" \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "type": "string", "size": 1}'{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "uploadId": "ef523ba8-509e-47af-8e2c-5fa751596497", "upload": { "mode": "single", "url": "string", "headers": { "property1": "string", "property2": "string" } }}